

# DeleteDomainNameAccessAssociation
<a name="API_DeleteDomainNameAccessAssociation"></a>

 Deletes the DomainNameAccessAssociation resource.

Only the Amazon account that created the DomainNameAccessAssociation resource can delete it. To stop an access association source in another Amazon account from accessing your private custom domain name, use the RejectDomainNameAccessAssociation operation.

## Request Syntax
<a name="API_DeleteDomainNameAccessAssociation_RequestSyntax"></a>

```
DELETE /domainnameaccessassociations/domain_name_access_association_arn HTTP/1.1
```

## URI Request Parameters
<a name="API_DeleteDomainNameAccessAssociation_RequestParameters"></a>

The request uses the following URI parameters.

 ** [domain\$1name\$1access\$1association\$1arn](#API_DeleteDomainNameAccessAssociation_RequestSyntax) **   <a name="apigw-DeleteDomainNameAccessAssociation-request-uri-domainNameAccessAssociationArn"></a>
 The ARN of the domain name access association resource.  
Required: Yes

## Request Body
<a name="API_DeleteDomainNameAccessAssociation_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DeleteDomainNameAccessAssociation_ResponseSyntax"></a>

```
HTTP/1.1 202
```

## Response Elements
<a name="API_DeleteDomainNameAccessAssociation_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 202 response with an empty HTTP body.

## Errors
<a name="API_DeleteDomainNameAccessAssociation_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** BadRequestException **   
The submitted request is not valid, for example, the input is incomplete or incorrect. See the accompanying error message for details.  
HTTP Status Code: 400

 ** ConflictException **   
The request configuration has conflicts. For details, see the accompanying error message.  
HTTP Status Code: 409

 ** NotFoundException **   
The requested resource is not found. Make sure that the request URI is correct.  
HTTP Status Code: 404

 ** TooManyRequestsException **   
The request has reached its throttling limit. Retry after the specified time period.  
HTTP Status Code: 429

 ** UnauthorizedException **   
The request is denied because the caller has insufficient permissions.  
HTTP Status Code: 401

## See Also
<a name="API_DeleteDomainNameAccessAssociation_SeeAlso"></a>

For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/apigateway-2015-07-09/DeleteDomainNameAccessAssociation) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/apigateway-2015-07-09/DeleteDomainNameAccessAssociation) 
+  [Amazon SDK for C\$1\$1](https://docs.amazonaws.cn/goto/SdkForCpp/apigateway-2015-07-09/DeleteDomainNameAccessAssociation) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/apigateway-2015-07-09/DeleteDomainNameAccessAssociation) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/apigateway-2015-07-09/DeleteDomainNameAccessAssociation) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/apigateway-2015-07-09/DeleteDomainNameAccessAssociation) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/apigateway-2015-07-09/DeleteDomainNameAccessAssociation) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/apigateway-2015-07-09/DeleteDomainNameAccessAssociation) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/apigateway-2015-07-09/DeleteDomainNameAccessAssociation) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/apigateway-2015-07-09/DeleteDomainNameAccessAssociation) 